Get terminal application configuration | Moov Documentation

Get terminal application configuration beta

Fetch the configuration for a given Terminal Application linked to a specific Account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/terminal-configuration.read scope.

GET

/accounts/{accountID}/terminal-applications/{terminalApplicationID}/configuration

Example Request (cURL)

curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications/{terminalApplicationID}/configuration" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Example Request (JavaScript)

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accountTerminalApplications.getConfiguration({
    accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
    terminalApplicationID: "12345678-1234-1234-1234-123456789012",
  });

console.log(result);
}

run();

Example Request (PHP)

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\